require("Helpers")

DestroyOnTimeoutComponent = DestroyOnTimeoutComponent or {}

function DestroyOnTimeoutComponent:construct()
	self.time = self:CreateProperty("Time", "float", 5.0)
	self.timer = 0
end

function DestroyOnTimeoutComponent:Update(dt)
	if Game.IsPaused() then
		return
	end
	
	self.timer = self.timer + Game.GetLegacyDt()
	if self.timer < self.time:GetValue() then
		return
	end
	
	self:DestroyParentActor()
end