require("Helpers")

DisableActorOnEnabledComponent = DisableActorOnEnabledComponent or {}

function DisableActorOnEnabledComponent:construct()
end

function DisableActorOnEnabledComponent:OnPropertyChanged(prop)
end

function DisableActorOnEnabledComponent:OnEnable()
	self:DisableActor()
end

function DisableActorOnEnabledComponent:DisableActor()
	local actor = self:GetParentActor()
	if not actor then
		self:LogE("Could not get parent actor!")
		return
	end

	SetProp(actor, "enabled", "bool", false)
end