-- Contains some 'helpful' methods
require("Helpers")

-- Make sure the script table name shares the same name as the script
-- SampleAffectorComponent.lua ==> SampleAffectorComponent table name

SampleAffectorComponent = SampleAffectorComponent or {}

-- all table methods should have the table name 

-- called when the script become active, fill in your properties here
function SampleAffectorComponent:construct()
end

-- when a property changes
function SampleAffectorComponent:OnPropertyChanged(prop)
end

-- When the script is first active in the scene
function SampleAffectorComponent:FirstUpdate()

end

-- When the script becomes enabled if previously disabled
function SampleAffectorComponent:OnEnable()

end

-- When the script becomes disabled if previously enabled
function SampleAffectorComponent:OnDisable()

end

-- Called every frame when enabled
function SampleAffectorComponent:Update(dt)
	
end

-- Using dt supplied to the actor manager
function SampleAffectorComponent:LegacyUpdate(dt)

end

-- When entity has spawned
function SampleAffectorComponent:OnSpawnFruit(fruitContainer)
	self:LogD("OnSpawnFruit")
end

function SampleAffectorComponent:OnSpawnBomb(bombContainer)
	self:LogD("OnSpawnBomb")
end

-- When entity has been thrown
function SampleAffectorComponent:OnThrowFruit(fruitContainer)
	self:LogD("OnThrowFruit")
end

function SampleAffectorComponent:OnThrownBomb(bombContainer)
	self:LogD("OnThrownBomb")
end

-- When thrown entity is updating
function SampleAffectorComponent:OnUpdateFruit(fruitContainer)

end

function SampleAffectorComponent:OnUpdateBomb(bombContainer)

end

-- When entity is sliced
function SampleAffectorComponent:OnSliceFruit(fruitContainer)
	self:LogD("OnSliceFruit")
end

function SampleAffectorComponent:OnSliceBomb(bombContainer)
	self:LogD("OnSliceBomb")
end

-- When entity is despawn
function SampleAffectorComponent:OnDespawnFruit(fruitContainer)
	self:LogD("OnDespawnFruit")
end

function SampleAffectorComponent:OnDespawnBomb(bombContainer)
	self:LogD("OnDespawnBomb")
end
