precision lowp int; 
precision lowp float;

uniform sampler2D DiffuseMap;
uniform vec3 Diffuse;
uniform float Alpha;

varying lowp vec4 uvs;
varying lowp vec3 worldnormal;
varying lowp vec4 vertexcolour;


void main() 
{
    gl_FragColor =  (texture2D(DiffuseMap, uvs.xy) *  vertexcolour * (1.0 - Alpha)) + vec4(Diffuse * Alpha, 1.0);
    
    
#if defined(OVERDRAW_TEST)
    
    gl_FragColor = vec4(0.05, 0.0 ,0.0, 1.0);

#endif
    
	
}
