require("Helpers")

ShowAllHiddenFruitComponent = ShowAllHiddenFruitComponent or {}

function ShowAllHiddenFruitComponent:OnDisable()
	self:Show()
end

function ShowAllHiddenFruitComponent:Show()
	local hiddenEntityComponents = GameCore.FindEntitiesOfType("HiddenEntityComponent", false)
	for i, hiddenEntityComponent in ipairs(hiddenEntityComponents) do
		-- remove the hiddenEntityComponent
		GameCore.DestroyEntity(hiddenEntityComponent)
	end
end